[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DockSite

Allows controls to be drag-and-dock-ed into this control.

## Declaration

Source position: controls.pp line 2336

`public property TWinControl.DockSite : Boolean read FDockSite write SetDockSite default False;`

## Description

A DockSite reacts on controls dragged over this control, signals acceptance and where a dragged control would be dropped.

Remark: | A DockSite should initially be empty, not containing any child controls.

## See also

TWinControl.DockManager |  | The docking layout manager for this control.
TWinControl.UseDockManager |  | Determines whether a DockManager is used for this DockSite.